Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

sysinfo.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: sysinfo.php 6231 2001-07-20 11:30:53Z jakobn $
5 //
6 // Created on: <21-Apr-2001 12:11:59 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlocale.php" );
30 // include_once( "classes/ezhttptool.php" );
31
32 // include_once( "ezsysinfo/classes/ezsysinfo.php" );
33
34 $ini =& eZINI::instance( 'site.ini' );
35 $Language =& $ini->variable( "eZSysinfoMain", "Language" );
36
37 $t = new eZTemplate( "kernel/ezsysinfo/admin/" . $ini->variable( "eZSysinfoMain", "AdminTemplateDir" ),
38 "kernel/ezsysinfo/admin/intl/", $Language, "sysinfo.php" );
39
40
41 $t->set_file( "sys_info_tpl", "sysinfo.tpl" );
42
43 $t->setAllStrings();
44
45 $t->set_var( "host_name", eZSysinfo::chostname() );
46 $t->set_var( "host_ip", eZSysinfo::ip_addr() );
47 $t->set_var( "kernel", eZSysinfo::kernel() );
48 $t->set_var( "uptime", eZSysinfo::uptime() );
49 $t->set_var( "users", eZSysinfo::users() );
50
51 $loadAvg = eZSysinfo::loadavg();
52
53 $t->set_var( "load_1", $loadAvg[0] );
54 $t->set_var( "load_2", $loadAvg[1] );
55 $t->set_var( "load_3", $loadAvg[2] );
56
57
58
59 $t->pparse( "output", "sys_info_tpl" );
60
61
62
63 ?>
64
65
66 <?php //include('includes/table_hardware.php'); ?>
67
68 <?php //include('includes/table_memory.php'); ?>
69
70 <?php //include('includes/table_filesystems.php'); ?>
eZSysinfo\loadavg
static loadavg()
Definition: ezsysinfo.php:405
eZSysinfo\chostname
static chostname()
Definition: ezsysinfo.php:124
eZSysinfo\kernel
static kernel()
Definition: ezsysinfo.php:371
eZSysinfo\ip_addr
static ip_addr()
Definition: ezsysinfo.php:143
eZSysinfo\uptime
static uptime()
Definition: ezsysinfo.php:426
eZSysinfo\users
static users()
Definition: ezsysinfo.php:459
eZTemplate
Definition: eztemplate.php:107
$loadAvg
$loadAvg
Definition: sysinfo.php:51
$t
$t
Definition: sysinfo.php:37
$Language
$Language
Definition: sysinfo.php:35
$ini
$ini
Definition: sysinfo.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.